#ifndef FIRMWARE_LUX_H
#define FIRMWARE_LUX_H

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

void lux_task(void *pvParameters);

void signal_led(bool state);

typedef struct {
    uint8_t r;
    uint8_t g;
    uint8_t b;
    uint8_t a;
} rgba_t;

extern volatile rgba_t top_color;
extern volatile rgba_t bottom_color;
extern volatile uint16_t light_value;

extern volatile uint16_t peripheral_version;

#ifdef __cplusplus
}
#endif

#endif //FIRMWARE_LUX_H
